import { JavaObject } from '../../../java/lang/JavaObject';
import { GostLeistungenFachwahl } from '../../../core/data/gost/GostLeistungenFachwahl';
import { Vector } from '../../../java/util/Vector';
import { Sprachendaten } from '../../../core/data/Sprachendaten';
export declare class GostLeistungen extends JavaObject {
    id: number;
    aktuellesSchuljahr: Number | null;
    aktuellerJahrgang: String | null;
    sprachendaten: Sprachendaten | null;
    bilingualeSprache: String | null;
    projektkursThema: String | null;
    projektkursLeitfach1Kuerzel: String | null;
    projektkursLeitfach2Kuerzel: String | null;
    readonly bewertetesHalbjahr: Array<boolean>;
    readonly faecher: Vector<GostLeistungenFachwahl>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostLeistungen;
    static transpilerToJSON(obj: GostLeistungen): string;
    static transpilerToJSONPatch(obj: Partial<GostLeistungen>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_GostLeistungen(obj: unknown): GostLeistungen;
